<?php
/**
 * Our theme header
 *
 * @package Makron
 * @since Makron 1.0.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> >
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php wp_title( '|', true, 'right' ); ?></title>

    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

    <?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>
<div class="mak-wrapper">
    <header class="mak-header mak-cf" role="banner">
        <div class="mak-inner">
        <?php if( display_header_text() ) : ?>
            <div class="mak-branding">
                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <p class="site-tagline"><?php bloginfo( 'description' ); ?></p>
            </div>
        <?php endif; ?>
            <nav id="mak-main-nav" role="navigation">

                <?php
                    if( has_nav_menu( 'primary_navigation' ) ) :
                        wp_nav_menu( array(
                            'theme_location' => 'primary_navigation',
                            'menu_class'     => 'nav mak-nav',
                            'items_wrap'     => '<ul class="%2$s">%3$s</ul>',
                            'depth'          => 3,
                            'walker'         => new Makron_Nav_Walker()
                        ) );
                    endif;
                ?>

            </nav>
        </div>
    </header>

    <main class="mak-main mak-cf" role="main">
