<?php
/**
 * The default template for displaying content
 *
 * @package Makron
 * @since Makron 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('mak-cf'); ?>>
    <div class="post-date">
        <span class="day"><?php the_time( 'j' ); ?></span>
        <span class="month"><?php the_time( 'M' ); ?></span>
    </div>

    <header class="post-header">
        <div class="header-metas">

            <?php
                if ( is_singular() ) :
                    the_title( '<h1 class="post-title">', '</h1>' );
                else:
                    the_title( '<h1 class="post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );
                endif;
            ?>

            <span class="post-author">
                <?php _e( 'Опубликовал ', 'makron' ); ?><a title="<?php _e('Просмотреть остальные записи от ', 'makron'); the_author_meta( 'display_name' ); ?>" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author_meta('display_name'); ?></a>
            </span>

            <span class="post-date-mobile">
                <time class="published" datetime="<?php echo get_the_time('c'); ?>">
                    <a title="<?php _e( 'Постоянная ссылка на: ', 'makron' ); echo the_title(); ?>" href="<?php the_permalink(); ?>"><?php echo get_the_date(); ?></a>
                </time>
            </span>

            <span class="post-comments">
                <?php comments_popup_link( __( 'Комментариев нет', 'makron' ), __( '1 комментарий', 'makron' ), __( '% комментариев', 'makron' ), '', __( 'Комментарии закрыты', 'makron' ) ); ?></span>
            </span>

            <span class="post-permalink">
                <a title="<?php _e( 'Постоянная ссылка на ', 'makron' ); the_title(); ?>" href="<?php the_permalink(); ?>"><?php _e( 'Ссылка', 'makron' ); ?></a>
            </span>

            <?php if( is_singular() ) { edit_post_link( __( 'Редактировать', 'makron' ), '<span class="edit-link">', '</span>' ); } ?>

            <?php mak_display_thumbnails(); ?>

        </div>

    </header>

    <div class="post-content">

        <?php if( is_singular() ) :

            the_content();
            mak_content_nav();

            else:

            the_excerpt(); ?>
            <a class="read-more" href="<?php the_permalink(); ?>"><i class="g"></i><?php echo _e( 'Читать далее &raquo;', 'makron' ); ?></a>

        <?php endif; ?>

    </div>

    <?php if( is_single() ) : ?>
    <footer class="post-footer">
        <ul class="taxo-metas">
            <?php if( get_the_category() ) { ?><li class="category"><i class="gicn gicn-category"></i><?php the_category(' &#8226; '); ?></li><?php } ?>

            <li class="tag-links"><i class="gicn gicn-tag"></i><?php
                $tags_list = get_the_tag_list( '', __( ' ', 'makron' ) );
                if ( $tags_list ) :
                    printf( __( '%1$s', 'makron' ), $tags_list );
                else :
                    _e( 'Тегов нет', 'makron' );
                endif; ?>
            </li>
        </ul>
    </footer>
    <?php endif; ?>

</article>